- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.BatchUpdateCustomFieldsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#body.aspect)
- [UpdateCustomFieldRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#UpdateCustomFieldRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#UpdateCustomFieldRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#try-it)

Batch updates `CustomField` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/customFields:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `CustomFields` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateCustomFieldRequest must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#UpdateCustomFieldRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields/batchUpdate#UpdateCustomFieldRequest`)`` Required. The `CustomField` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `customFields.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customFields": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields#CustomField`) } ] } ``` |

| Fields ||
|---|---|
| `customFields[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields#CustomField`)`` The `CustomField` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateCustomFieldRequest

Request object for `customFields.patch` method.

| JSON representation |
|---|
| ``` { "customField": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields#CustomField`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `customField` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.customFields#CustomField`)`` Required. The `CustomField` to update. The `CustomField`'s `name` is used to identify the `CustomField` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |